MQStorageClass (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQStorageClass interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQStorageClass

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, java.io.Serializable

    public interface MQStorageClass

extends LogicalElement, MQBase

How storage classes work You define a storage class, using the DEFINE STGCLASS command, specifying a page set identifier (PSID). When you define a queue, you specify the storage class in the STGCLASS attribute.

Naming Rules:
  0="queueManager,name"
Persistable:
  true
Table Name:
  MQSTORCLASS

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getName()` Name of the storage class.
`MQPageSet` | `getPageSet()`
`MQQueueManager` | `getQueueManager()`
`boolean` | `hasName()`
`boolean` | `hasPageSet()`
`boolean` | `hasQueueManager()`
`void` | `setName(java.lang.String x)`
`void` | `setPageSet(MQPageSet x)`
`void` | `setQueueManager(MQQueueManager x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getPageSet

    MQPageSet getPageSet()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Advertises" reverse="true"

### setPageSet

    void setPageSet(MQPageSet x)

### hasPageSet

    boolean hasPageSet()

### getQueueManager

    MQQueueManager getQueueManager()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Accesses" reverse="true"

### setQueueManager

    void setQueueManager(MQQueueManager x)

### hasQueueManager

    boolean hasQueueManager()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Name of the storage class. This is required. This is 1 through 8 characters. The first character is in the range A through Z - subsequent characters are A through Z or 0 through 9. Note: Exceptionally, certain all numeric storage class names are allowed, but are reserved for the use of IBM service personnel. The storage class must not be the same as any other storage class currently defined on this queue manager.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD